/*
 * main.c
 * htmllite
 *
 * by Doug Wolfe
 * doug@wolfescience.com 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc.,  59 Temple Place - Suite 330, Cambridge, MA 02139, USA.
 *
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "htmlinterface.h"
#include "support.h"

int main (int argc, char *argv[])
{
	GtkWidget *dialoglite;
	GtkWidget *colorselectiondialog1;
	GtkWidget *dialogSymbol;

	#ifdef ENABLE_NLS
		bindtextdomain (GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
		bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
		textdomain (GETTEXT_PACKAGE);
	#endif

	gtk_set_locale ();
	gtk_init (&argc, &argv);

	add_pixmap_directory (PACKAGE_DATA_DIR "/" PACKAGE "/pixmaps");

	dialoglite = create_dialoglite ();
	gtk_widget_show (dialoglite);
	colorselectiondialog1 = create_colorselectiondialog1 ();
	gtk_widget_show (colorselectiondialog1);
	dialogSymbol = create_dialogSymbol ();
	gtk_widget_show (dialogSymbol);

	gtk_main ();
	return 0;
}

